The upgrade to Adobe Connect 9.2 requires the following changes to ensure that users can access meetings, seminars, events, and the Connect Web application. The checklist describes the changes and provides additional support documentation where needed.

  • Adobe Flash Player 11.2 is now officially the minimum requirement for attending meetings and logging in to the Connect Web application. Download the latest version of Flash Player.
  • The latest version of the Adobe Connect Add-in is 11.9.949.0 for Windows and Mac OS. Adobe Connect Add-in is required for functionality specific to meeting Hosts and Presenters on Windows and Mac OS.  The minimum required version of the add-in for Adobe Connect 9.1 is 11.9.949.0 for both Windows and Mac OS. For more information, and links to download the latest add-in, click here to review the latest TechNote.
  • With the release of Connect 9.2, the following Operating Systems are no longer supported. Users can still enter meetings, events, and seminars. But if support is required, the user is asked to upgrade to a supported operating system.
    • Windows Vista
    • Mac OS X 10.6.X 

For more information about Adobe Connect 9.2, see the following links.

This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  Twitter™ and Facebook posts are not covered under the terms of Creative Commons.

Legal Notices   |   Online Privacy Policy